/*
  filename: integralui.item.js
  version : 21.1.0
  Copyright © 2016-2021 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import{IntegralUIObjectState,IntegralUITheme}from"./integralui.enums.js";import IntegralUIBase from"./integralui.base.js";import{iuiItemDefaultStyle}from"../styles/integralui.item.style.js";import{iuiItemOfficeStyle}from"../themes/office/integralui.item.office.js";import{iuiItemMidnightStyle}from"../themes/midnight/integralui.item.midnight.js";class IntegralUIItem extends IntegralUIBase{connectedCallback(){}disconnectedCallback(){}_init(){super._init();this._currentIcon="";this._currentIconUrl="";this._currentIconSize={width:16,height:16};this._currentText="";this._isVisible=!0;this._parentCtrl=null;this._itemPos={top:0,left:0};this._positionType="static";this._contentClass={};this._generalClassName="iui-item";this._contentClassName=this._generalClassName+"-content"}_initStyle(){this._defaultStyle={general:{disabled:this._generalClassName+"-disabled",focused:this._generalClassName+"-focused",normal:this._generalClassName,hovered:this._generalClassName+"-hovered",selected:this._generalClassName+"-selected"},content:{disabled:this._contentClassName+"-disabled",focused:this._contentClassName+"-focused",normal:this._contentClassName,hovered:this._contentClassName+"-hovered",selected:this._contentClassName+"-selected"}};this.refresh()}setParent(e){this._parentCtrl=e}attributeChangedCallback(e,t,s){super.attributeChangedCallback(e,t,s)}static get properties(){return{icon:{type:String,reflect:!0},iconUrl:{type:String,attribute:"icon-url",reflect:!0},iconSize:{type:Object},text:{type:String,reflect:!0},visible:{type:Boolean,reflect:!0}}}get icon(){return this._currentIcon}set icon(e){if(this._currentIcon!==e){const t=this._currentIcon;this._currentIcon=e;this.requestUpdate("icon",t)}}get iconUrl(){return this._currentIconUrl}set iconUrl(e){if(this._currentIconUrl!==e){const t=this._currentIconUrl;this._currentIconUrl=e;this.requestUpdate("iconUrl",t)}}get iconSize(){return this._currentIconSize}set iconSize(e){if(this._currentIconSize!==e){const t=this._currentIconSize;this._currentIconSize=e;this.requestUpdate("iconSize",t)}}get text(){return this._currentText}set text(e){if(this._currentText!==e){const t=this._currentText;this._currentText=e;this.requestUpdate("text",t);this.update()}}get visible(){return this._isVisible}set visible(e){if(this._isVisible!==e){const t=this._isVisible;this._isVisible=e;this.requestUpdate("visible",t)}}_processStateChanged(){this._updateContentClass()}_onClick(e){if(this._isEnabled)this._invokeEvent("click",e);e.stopPropagation()}_onMouseDown(e){if(this._isEnabled){this._invokeEvent("mouseDown",e);if(this._parentCtrl&&this._parentCtrl.invokeCtrlMethod)this._parentCtrl.invokeCtrlMethod("ITEM_SELECT",this)}e.stopPropagation()}_onMouseUp(e){if(this._isEnabled)this._invokeEvent("mouseUp",e);e.stopPropagation()}_onMouseEnter(e){if(this._isEnabled){this.state|=IntegralUIObjectState.Hovered;this._invokeEvent("mouseEnter",e)}e.stopPropagation()}_onMouseMove(e){if(this._isEnabled)this._invokeEvent("mouseMove",e);e.stopPropagation()}_onMouseLeave(e){if(this._isEnabled){this.state&=~IntegralUIObjectState.Hovered;this._invokeEvent("mouseLeave",e)}e.stopPropagation()}getContentSize(){let e={width:0,height:0};if(this._contentElem){let t=this._commonService.getMargin(this._contentElem);e={width:this._contentElem.offsetWidth+(t.left+t.right),height:this._contentElem.offsetHeight+(t.top+t.bottom)/2}}return e}getIconStatus(){return this.icon?"inline-block":"none"}getMargin(){if(this._elemRef)return this._commonService.getMargin(this._elemRef.firstElementChild);else return{top:0,right:0,bottom:0,left:0}}getPageRect(){let e={top:0,right:0,bottom:0,left:0};if(this._elemRef)e=this._commonService.getPageRect(this._elemRef.firstElementChild);return e}getClientSize(){let e={width:0,height:0};if(this._elemRef)e={width:this._elemRef.firstElementChild.clientWidth,height:this._elemRef.firstElementChild.clientHeight};return e}getSize(){let e={width:0,height:0};this._updateReferences();if(this._elemRef){let t=this._commonService.getMargin(this._elemRef);e={width:this._elemRef.offsetWidth+(t.left+t.right),height:this._elemRef.offsetHeight+(t.top+t.bottom)/2}}return e}resetPos(){this.updateLayout("static",{x:"auto",y:"auto"})}updateLayout(e,t){this._updateReferences();this._positionType=e;this._itemPos={top:t.y,left:t.x}}updatePos(e){this.updateLayout("absolute",e)}_getControlStyle(){let e={position:this._positionType,top:this._itemPos.top+"px",left:this._itemPos.left+"px"};if(this._ctrlSize.width>0)e.width=this._ctrlSize.width+"px";if(this._ctrlSize.height>0)e.height=this._ctrlSize.height+"px";return e}_updateContentClass(){this._contentClass={};this._contentClass[this._contentClassName]=!0;if(this._options.currentStyle){this._contentClass[this._options.currentStyle.content.normal]=!0;if(this.state&IntegralUIObjectState.Disabled)this._contentClass[this._options.currentStyle.content.disabled]=!0;else if(this.state&IntegralUIObjectState.Focused)this._contentClass[this._options.currentStyle.content.focused]=!0;else if(this.state&IntegralUIObjectState.Selected)this._contentClass[this._options.currentStyle.content.selected]=!0;else if(this.state&IntegralUIObjectState.Hovered)this._contentClass[this._options.currentStyle.content.hovered]=!0}}_getContentClass(){return this._contentClass}_getContentStyle(e){if(this._commonService.isString(e))return e;else if(e)return{disabled:this._commonService.isFieldAvailable(e.disabled,this._contentClassName+"-disabled"),focused:this._commonService.isFieldAvailable(e.focused,this._contentClassName+"-focused"),hovered:this._commonService.isFieldAvailable(e.hovered,this._contentClassName+"-hovered"),normal:this._commonService.isFieldAvailable(e.normal,this._contentClassName),selected:this._commonService.isFieldAvailable(e.selected,this._contentClassName+"-selected")};else return{disabled:this._defaultStyle.content.disabled,focused:this._defaultStyle.content.focused,hovered:this._defaultStyle.content.hovered,normal:this._defaultStyle.content.normal,selected:this._defaultStyle.content.selected}}_updateStyle(e){if(e)this._options.currentStyle={general:this._getGeneralStyle(e.general),content:this._getContentStyle(e.content)};else this._options.currentStyle={general:{disabled:this._defaultStyle.general.disabled,focused:this._defaultStyle.general.focused,hovered:this._defaultStyle.general.hovered,normal:this._defaultStyle.general.normal,selected:this._defaultStyle.general.selected},content:{disabled:this._defaultStyle.content.disabled,focused:this._defaultStyle.content.focused,hovered:this._defaultStyle.content.hovered,normal:this._defaultStyle.content.normal,selected:this._defaultStyle.content.selected}}}_updateThemeSettings(e){this._currentThemeSettings=css``;switch(e){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiItemOfficeStyle.cssText,"../icons",this._currentResourcePath);break;case IntegralUITheme.Midnight:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiItemMidnightStyle.cssText,"../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText=""}}firstUpdated(e){this._updateReferences()}refresh(){this._updateStyle(this.controlStyle);this._updateControlClass();this._updateContentClass();this.update();this._updateReferences()}render(){return html`             <style>                 ${iuiItemDefaultStyle}                 ${this._currentThemeSettings} 				${this._currentCustomStyle}             </style>             <div data-ctrl="item" id="content" class=${classMap(this._getControlClass())} style=${styleMap(this._getControlStyle())} @click="${e=>this._onClick(e)}" @mousedown="${e=>this._onMouseDown(e)}" @mouseup="${e=>this._onMouseUp(e)}" @mouseenter="${e=>this._onMouseEnter(e)}" @mousemove="${e=>this._onMouseMove(e)}" @mouseleave="${e=>this._onMouseLeave(e)}">                 ${this.icon?html`<span class="iui-item-icon" class=${classMap(this.icon)} style=${styleMap({display:this._getIconStatus()})}></span>`:html``}                 ${this.iconUrl?html`<img class="iui-item-icon-url" src="${this.iconUrl}" width="${this._iconSize.width}" height="${this._iconSize.height}" />`:html``}                 ${this.text?html`<span class="iui-item-label">${this.text}</span>`:html``}                 <slot></slot>             </div>         `}_updateReferences(){this._elemRef=this.shadowRoot.querySelector("div[data-ctrl=item]");this._contentElem=this.shadowRoot.querySelector("#content")}}window.customElements.define("iui-item",IntegralUIItem);export default IntegralUIItem;