/*
  filename: integralui.scrollbar.js
  version : 21.1.0
  Copyright © 2016-2021 Lidor Systems. All rights reserved.

  This file is part of the "IntegralUI Web" Library. 
                                                                   
  The contents of this file are subject to the IntegralUI Web License, and may not be used except in compliance with the License.
  A copy of the License should have been installed in the product's root installation directory or it can be found at
  http://www.lidorsystems.com/products/web/studio/license-agreement.aspx.
                                                            
  This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
  governing rights and limitations under the License. Any infringement will be prosecuted under applicable laws.                           
*/
import{c as css,h as html}from"../external/lit-element.js";import{c as classMap}from"../external/class-map.js";import{s as styleMap}from"../external/style-map.js";import{IntegralUIOrientation,IntegralUITheme}from"./integralui.enums.js";import IntegralUIBase from"./integralui.base.js";import{iuiScrollBarStyle}from"../styles/integralui.scrollbar.style.js";import{iuiScrollBarOfficeStyle}from"../themes/office/integralui.scrollbar.office.js";import{iuiScrollBarMidnightStyle}from"../themes/midnight/integralui.scrollbar.midnight.js";class IntegralUIScrollBar extends IntegralUIBase{_init(){super._init();this._currentMaxValue=0;this._currentMinValue=0;this._currentValue=0;this._currentSplitterDistance={x:0,y:0};this._emptySpace=0;this._maxPos={x:0,y:0};this._currentOrientation=IntegralUIOrientation.Vertical;this._scrollPos={top:0,right:0,bottom:0,left:0};this._scrollSize={width:0,height:0};this._thumbSize={width:0,height:0};this._thumbPos={x:2,y:2};this._isThumbActive=!1;this._prevPos={x:0,y:0};this._smallChange=0;this._largeChangeValue=0;this._scrollInterval=null;this._scrollTimeout=null;this._thumbStartPos={x:0,y:0};this._ctrlStyle={"iui-scrollbar-vertical":!0};this._thumbStyle={"iui-scrollbar-vertical-thumb":!0}}connectedCallback(){super.connectedCallback();this._windowMouseMove=this._windowMouseMove.bind(this);window.addEventListener("mousemove",this._windowMouseMove);this._windowMouseUp=this._windowMouseUp.bind(this);window.addEventListener("mouseup",this._windowMouseUp)}disconnectedCallback(){super.disconnectedCallback();window.removeEventListener("mousemove",this._windowMouseMove);window.removeEventListener("mouseup",this._windowMouseUp);this._clearScrollTimers()}static get properties(){return{height:{type:Number},largeChange:{type:Number,attribute:"large-change"},max:{type:Number,reflect:!0},min:{type:Number,reflect:!0},orientation:{converter:{fromAttribute:t=>"horizontal"===(t=t.replace(/"|'/,"").replace(/"|'/,"")).toLowerCase()?IntegralUIOrientation.Horizontal:IntegralUIOrientation.Vertical,toAttribute:(t,e)=>t===IntegralUIOrientation.Horizontal?"Horizontal":"Vertical"},reflect:!0},position:{type:Object},value:{type:Number,reflect:!0},width:{type:Number}}}attributeChangedCallback(t,e,i){super.attributeChangedCallback(t,e,i)}set height(t){if(this._scrollSize.height!==t&&t>=0){const e=this._scrollSize.height;this._scrollSize.height=t;this.requestUpdate("height",e);this.updateLayout()}}set largeChange(t){if(this._largeChangeValue!==t&&t>=0){const e=this._largeChangeValue;this._largeChangeValue=t;this.requestUpdate("largeChange",e)}}get max(){return this._currentMaxValue}set max(t){if(this._currentMaxValue!==t){const e=this._currentMaxValue;if(t<=0)this._currentMaxValue=1;else this._currentMaxValue=t;if(this._currentValue>this._currentMaxValue)this._currentValue=this._currentMaxValue;this.requestUpdate("max",e);this.updateLayout()}}get min(){return this._currentMinValue}set min(t){if(this._currentMinValue!==t&&t>=0){const e=this._currentMinValue;this._currentMinValue=t;this.requestUpdate("min",e);this.updateLayout()}}get orientation(){return this._currentOrientation}set orientation(t){if(this._currentOrientation!==t){const e=this._currentOrientation;this._currentOrientation=t;this.requestUpdate("orientation",e);this.updateLayout()}}set position(t){const e=this._scrollPos;if(void 0!==t)this._scrollPos={top:this._commonService.isFieldAvailable(t.top,0),right:this._commonService.isFieldAvailable(t.right,0),bottom:this._commonService.isFieldAvailable(t.bottom,0),left:this._commonService.isFieldAvailable(t.left,0)};else this._scrollPos={top:0,right:0,bottom:0,left:0};this.requestUpdate("position",e)}get value(){return this._currentValue}set value(t){if(this._currentValue!==t){const e=this._currentValue;if(t<this._currentMinValue)this._currentValue=this._currentMinValue;else if(t>this._currentMaxValue)this._currentValue=this._currentMaxValue;else this._currentValue=t;this.requestUpdate("value",e);this.updateLayout();this._invokeEvent("valueChanged",{value:this._currentValue})}}set width(t){if(this._scrollSize.width!==t&&t>=0){this._scrollSize.width=t;this.updateLayout()}}_thumbMouseDown(t){if(this._isEnabled){let e=this._commonService.getShiftPos(),i={x:t.pageX-e.x,y:t.pageY-e.y};this._thumbStartPos=i;this._isThumbActive=!0;this.prevPos={x:this.value,y:this.value};this._invokeEvent("scrollStart",{event:t,value:this._currentValue})}this._invokeEvent("scrollMouseDown");t.stopPropagation()}_windowMouseMove(t){if(this._isEnabled&&1===t.buttons&&this._isThumbActive){let e=this._commonService.getShiftPos(),i={x:t.pageX-e.x,y:t.pageY-e.y},s=0;if(this.orientation===IntegralUIOrientation.Horizontal){if(this._emptySpace>0)s=this.prevPos.x+(i.x-this._thumbStartPos.x)*this._currentMaxValue/this._emptySpace}else if(this._emptySpace>0)s=this.prevPos.y+(i.y-this._thumbStartPos.y)*this._currentMaxValue/this._emptySpace;this.value=s}}_windowMouseUp(t){if(this._isEnabled){this._isThumbActive=!1;this._prevPos.y=this._currentValue;this._clearScrollTimers();this._invokeEvent("scrollEnd",{event:t,value:this._currentValue})}}isVertical(){return this.orientation===IntegralUIOrientation.Vertical?!0:!1}_changeScrollPos(t){if(this._isEnabled){let e=this;e._processLargeChange(t);e._clearScrollTimers();e._scrollTimeout=setTimeout(function(){e._scrollInterval=setInterval(function(){if(e._currentValue>e._currentMinValue&&e._currentValue<e._currentMaxValue)e._processLargeChange(t);else e._clearScrollTimers()},100);clearTimeout(e._scrollTimeout)},250)}}_processLargeChange(t){let e=-1;if(this.isVertical())e=t.offsetY<this._thumbPos.y?1:t.offsetY>this._thumbPos.y+this._thumbSize.height?2:-1;else e=t.offsetX<this._thumbPos.x?1:t.offsetX>this._thumbPos.x+this._thumbSize.width?2:-1;switch(e){case 1:this.value-=this._largeChangeValue;break;case 2:this.value+=this._largeChangeValue;break;default:this._defaultFunc()}}_clearScrollTimers(){if(this._scrollTimeout)clearTimeout(this._scrollTimeout);if(this._scrollInterval)clearInterval(this._scrollInterval);this._scrollTimeout=null;this._scrollInterval=null}_updateThemeSettings(t){this._currentThemeSettings=css``;switch(t){case IntegralUITheme.Office:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiScrollBarOfficeStyle.cssText,"../icons",this._currentResourcePath);break;case IntegralUITheme.Midnight:this._currentThemeSettings.cssText=this._commonService.replaceAll(iuiScrollBarMidnightStyle.cssText,"../icons",this._currentResourcePath);break;default:this._currentThemeSettings.cssText=""}}firstUpdated(t){this.updateLayout()}async updateLayout(){await this._processUpdateLayout();this.update()}_processUpdateLayout(){return new Promise(t=>{if(this.orientation===IntegralUIOrientation.Horizontal){this._ctrlStyle={"iui-scrollbar-horizontal":!0};this._thumbStyle={"iui-scrollbar-horizontal-thumb":!0};if(0===this._largeChangeValue)this._largeChangeValue=this._scrollSize.width;let t=this._scrollSize.width-2,e=0;if(this._currentMaxValue+t>0)e=t*t/(this._currentMaxValue+t);e=t/(this._currentMaxValue+this._largeChangeValue)*this._largeChangeValue;if(this._currentMaxValue<=0)e=t;else if(e<7)e=7;this._thumbSize.width=e;this._emptySpace=t-e;if(this._currentMaxValue>0)this._thumbPos.x=2+this._currentValue*this._emptySpace/this._currentMaxValue}else{this._ctrlStyle={"iui-scrollbar-vertical":!0};this._thumbStyle={"iui-scrollbar-vertical-thumb":!0};if(0===this._largeChangeValue)this._largeChangeValue=this._scrollSize.height;let t=this._scrollSize.height-2,e=0;if(this._currentMaxValue+t>0)e=t*t/(this._currentMaxValue+t);e=t/(this._currentMaxValue+this._largeChangeValue)*this._largeChangeValue;if(this._currentMaxValue<=0)e=t;else if(e<7)e=7;this._thumbSize.height=e;this._emptySpace=t-e;if(this._currentMaxValue>0)this._thumbPos.y=2+this._currentValue*this._emptySpace/this._currentMaxValue}t()})}render(){const t=this.isVertical()?{top:this._scrollPos.top+"px",right:0,height:this._scrollSize.height+"px"}:{bottom:this._scrollPos.bottom+"px",left:0,width:this._scrollSize.width+"px"},e=this.isVertical()?{top:this._thumbPos.y+"px",height:this._thumbSize.height+"px"}:{left:this._thumbPos.x+"px",width:this._thumbSize.width+"px"};return html`                 <style>                     ${iuiScrollBarStyle}                     ${this._currentThemeSettings}                 </style>                 <div class=${classMap(this._ctrlStyle)} style=${styleMap(t)} @mousedown="${t=>this._changeScrollPos(t)}">                     <div class=${classMap(this._thumbStyle)} style=${styleMap(e)} @mousedown="${t=>this._thumbMouseDown(t)}"></div>                 </div>         `}updated(t){t.forEach((t,e)=>{})}}window.customElements.define("iui-scrollbar",IntegralUIScrollBar);export default IntegralUIScrollBar;